> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List allowed domains

> Returns all domains currently allowed to embed your chat widget.

**Required scopes:** `domain_manage`


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/list_allowed_domains
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_allowed_domains:
    post:
      tags:
        - Allowed domains
      summary: List allowed domains
      description: Returns all domains currently allowed to embed your chat widget.
      operationId: list-allowed-domains
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: A list of allowed domains.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAllowedDomainsResponse'
              example:
                domains:
                  - example.com
                  - subdomain.example.com
                  - another-domain.com
components:
  schemas:
    ListAllowedDomainsResponse:
      type: object
      properties:
        domains:
          type: array
          items:
            type: string
          description: An array of allowed domain names.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````